US Equities Basic Adjustment Factors
The U.S. Equities Basic Adjustment Factors dataset provides adjustment factors that affect price, volume or both for corporate events that impact historical equity time series. Each adjustment entry is accompanied by the adjustment reason, enabling transparent and reproducible application of corporate-action adjustments. The dataset allows users to compute both forward- and backward-adjusted price and volume series, supporting a wide range of analytical and back-testing methodologies. Coverage i
GEThttps://api.devalgoseek.com/api/v1/data/us-equity-ref/eq-adj-factors-basic#
The U.S. Equities Basic Adjustment Factors dataset provides adjustment factors that affect price, volume or both for corporate events that impact historical equity time series. Each adjustment entry is accompanied by the adjustment reason, enabling transparent and reproducible application of corporate-action adjustments. The dataset allows users to compute both forward- and backward-adjusted price and volume series, supporting a wide range of analytical and back-testing methodologies. Coverage includes all U.S. exchange-listed equities, with historical data available from 2007 onward.
For more details, please refer to the dataset documentation: US Equities Basic Adjustment Factors Guide.
Advanced Filtering
You can provide one or multiple filter expressions based on the dataset's columns to narrow down the results. For example, StartDate.gt=2023-01-01&StartDate.lt=2023-12-31, Ticker=AAPL.
Please refer to the Advanced Filtering Guide for the extensive reference.
Request#
Query Parameters#
- JSON
- CSV Gzip
Sorting criteria for the results. Provide a column name with optional prefix '+' for ascending order, or prefix with '-' for descending order. Multiple sorting fields may be supported depending on the dataset. If sort prefix is not provided, the ascending order is applied.
A comma-separated list of columns to include in the response. Use this parameter to select only specific fields from the dataset. If not provided, all available columns will be returned.
Possible values: >= 0
Number of records to skip before returning results. To be used with the limit parameter for pagination. If not provided, defaults to 0.
0100Possible values: >= 0 and <= 100000
Maximum number of records to return. Used to control response size and pagination. If not provided, a default limit is applied by the server.
10000100Possible values: [json, csv, csv_gzip]
The type of the data to return
jsonJSON format (default)
jsonCompressed CSV format
csv_gzipResponses#
- 200
- 403
- 422
- 429
JSON, CSV file, or gzip-compressed CSV file, depending on the value of response_format query parameter
- application/json
- text/csv
- application/gzip
- Schema
- Example (auto)
Schema
- Array [
- ]
data object[]required
A unique identifier for a security
1010000000019026Symbol name
WFCThe date on which the event becomes effective
2023-08-03The value of the Adjustment factor for the event
0.992239467849224The reason for the Corporate Event
CashDivUnique Event ID under the AdjustmentReason
3087413pagination objectrequired
The number of records skipped to fetch the current page
0The maximum number of records in the current page
The number of records to skip to fetch the next page
{
"data": [
{
"ASID": 1010000000019026,
"Ticker": "WFC",
"EffectiveDate": "2023-08-03",
"AdjustmentFactor": 0.992239467849224,
"AdjustmentReason": "CashDiv",
"EventId": "3087413"
}
],
"pagination": {
"limit": 1000,
"next_offset": 2000,
"offset": 1000
}
}
- Schema
- Example (auto)
Schema
"string"
- Schema
- Example (auto)
Schema
"string"
Forbidden
- application/json
Validation Error
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [anyOf
- string
- integer
- ]
- ]
detail object[]
loc object[]required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"ctx": {}
}
]
}
Request rejected because the identity or team exceeded a configured monthly or per-minute usage quota. When available, the response includes rate-limit headers describing the current quota.
Response Headers
Configured quota limit for the resource that was exceeded.
Remaining quota before the limit is reached. This is 0 when the request is rejected.
Number of seconds left in the current quota period before usage resets.
- application/json
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- postman-cli
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/data/us-equity-ref/eq-adj-factors-basic");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Click the Send API Request button above and see the response here!